> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/fr/knowledge-base/troubleshooting-articles/devolutions-server-performance-issues.md).

# Problèmes de performance de Devolutions Server

Explique comment générer le rapport d'utilisation du disque par tables principales dans SQL Server Management Studio pour aider le soutien Devolutions à diagnostiquer les problèmes de performance.

Le [soutien Devolutions](mailto:service@devolutions.net) peut vous aider avec les problèmes de performance de Devolutions Server. Pour ce faire, le ***rapport*** ***Disk usage by Top Tables*** de ***SQL Server Management Studio (SSMS)*** doit être généré afin d'évaluer le nombre d'enregistrements dans certaines tables de la base de données.

1. Ouvrir ***SQL Server Management Studio (SSMS)***.
2. Cliquer avec le bouton droit sur la base de données et sélectionner ***Reports*** – ***Standard Reports*** – ***Disk Usage by Top Tables***.
3. Envoyer le rapport à <service@devolutions.net>.

Voici la ***requête SQL*** permettant d'obtenir le même résultat si la base de données est hébergée sur ***Azure***.

```
SELECT TOP 1000
        a3.name AS SchemaName,
        a2.name AS TableName,
        a1.rows as Row_Count,
        (a1.reserved )* 8.0 / 1024 AS reserved_mb,
        a1.data * 8.0 / 1024 AS data_mb,
        (CASE WHEN (a1.used ) > a1.data THEN (a1.used ) - a1.data ELSE 0 END) * 8.0 / 1024 AS index_size_mb,
        (CASE WHEN (a1.reserved ) > a1.used THEN (a1.reserved ) - a1.used ELSE 0 END) * 8.0 / 1024 AS unused_mb
    FROM    (   SELECT
                ps.object_id,
                SUM ( CASE WHEN (ps.index_id < 2) THEN row_count    ELSE 0 END ) AS [rows],
                SUM (ps.reserved_page_count) AS reserved,
                SUM (CASE   WHEN (ps.index_id < 2) THEN (ps.in_row_data_page_count + ps.lob_used_page_count + ps.row_overflow_used_page_count)
                            ELSE (ps.lob_used_page_count + ps.row_overflow_used_page_count) END
                    ) AS data,
                SUM (ps.used_page_count) AS used
                FROM sys.dm_db_partition_stats ps
                GROUP BY ps.object_id
            ) AS a1
    INNER JOIN sys.all_objects a2  ON ( a1.object_id = a2.object_id )
    INNER JOIN sys.schemas a3 ON (a2.schema_id = a3.schema_id)
    WHERE a2.type <> N'S' and a2.type <> N'IT'
    order by a1.reserved desc
```

{% hint style="info" %}
Les [politiques de rétention de la base de données](/server/fr/web-interface/administration/database-retention-policies.md) dans la section ***Administration*** peuvent aider à réduire le nombre d'enregistrements dans la table du rapport en archivant/supprimant automatiquement les anciens journaux.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/server/fr/knowledge-base/troubleshooting-articles/devolutions-server-performance-issues.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
